#
# spec file for package linux-atm (Version 2.5.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           linux-atm
BuildRequires:  glibc-devel
URL:            http://sourceforge.net/projects/linux-atm/
License:        BSD License and BSD-like, GNU General Public License (GPL)
Group:          Productivity/Networking/Other
Summary:        Tools for ATM
Version:        2.5.0
Release:        41
Source0:        linux-atm-%{version}.tar.bz2
Patch0:         linux-atm-%{version}.diff
Patch1:         linux-atm-2.5.0-include.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tools to support ATM (Asynchronous Transfer Mode) networking.



Authors:
--------
    Werner Almesberger, EPFL ICA <wa@almesberger.net>
    Mitchell Blank Jr., <mitch@sfgoth.com>
    Paul B. Schroeder, <paulsch@us.ibm.com>

%package lib
Group:          System/Libraries
Summary:        Libraries for ATM

%description lib
Libraries for ATM (Asynchronous Transfer Mode) networking.



Authors:
--------
    Werner Almesberger, EPFL ICA <wa@almesberger.net>
    Mitchell Blank Jr., <mitch@sfgoth.com>
    Paul B. Schroeder, <paulsch@us.ibm.com>

%package devel
Group:          Development/Libraries/C and C++
Summary:        Development for ATM
Requires:       linux-atm-lib = %version

%description devel
Libraries and header files for ATM (Asynchronous Transfer Mode)
networking.



Authors:
--------
    Werner Almesberger, EPFL ICA <wa@almesberger.net>
    Mitchell Blank Jr., <mitch@sfgoth.com>
    Paul B. Schroeder, <paulsch@us.ibm.com>

%prep
%setup -q -n linux-atm-%{version}
%patch0
%patch1 -p1

%build
%{?suse_update_config}
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr --sysconf=/etc --mandir=%{_mandir} --libdir=%{_libdir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf %{buildroot}

%post lib
%run_ldconfig

%postun lib
%run_ldconfig

%files
%defattr(-,root,root)
%config(noreplace) /etc/atmsigd.conf
/usr/bin/*
/usr/sbin/*
%doc README AUTHORS ChangeLog NEWS THANKS BUGS
%doc COPYING COPYING.GPL COPYING.LGPL
%doc %{_mandir}/man*/*.gz

%files lib
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*

%changelog
* Fri Mar 23 2007 - ssommer@suse.de
- fix build with newer kernel headers
* Sat May 27 2006 - schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Apr 22 2005 - arvin@suse.de
- updated to latest CVS
* Wed Apr 20 2005 - arvin@suse.de
- updated to 2.5.0 CVS + my GCC 4.0 and other patches
* Mon Apr 18 2005 - arvin@suse.de
- some (but not all) gcc 4.0 fixes
* Tue Apr 20 2004 - arvin@suse.de
- removed some compile warnings
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Sat Jul 19 2003 - meissner@suse.de
- drop 1 line from ltconfig, so it builds shared libs on ppc64.
* Mon May 26 2003 - arvin@suse.de
- split package into linux-atm, linux-atm-lib and linux-atm-devel
- include all programs/files to make rpm v4 happy
* Thu Apr 18 2002 - kukuk@suse.de
- Add suse_update_config for x86_64
* Tue Jan 08 2002 - arvin@suse.de
- include some documentation in the package
* Mon Jan 07 2002 - arvin@suse.de
- initial package for atm
